package net.sf.nebulacards;

/**
 * This interface must be implemented by all classes that wish to be informed
 * of incoming packets from CommThread objects.
 */
public interface PacketListener
{
	/**
	 * Called when a packet is received.
	 * This method <b>must not</b> block.  It must return so that further
	 * packets can be distributed.
	 * @param id The identification number of the source thread.
	 * @param o The packet that was received.
	 */
	void packetReceived( int id, Object o );
}
