package net.sf.nebulacards.uicomponents;

import java.awt.*;
import java.awt.event.*;
import net.sf.nebulacards.main.*;
import net.sf.nebulacards.uicomponents.*;

/**
 * A popup window to alert the user of some critical fact.
 */
public class AlertWindow
	extends Dialog
	implements ActionListener, WindowListener
{
	private Button okB;
	/**
	 * Construct an alert window.
	 * The new window will live on top of the parent, which will become
	 * inaccessible until the alert is closed.
	 * @param parent The parent window.
	 * @param title The window title.
	 * @param message The message to be displayed in the window.
	 */
	public AlertWindow( Frame parent, String title, String message )
	{
		super( parent, title, false );
		setLayout( new GridLayout(2, 1) );
		add( new Label(message, Label.CENTER) );
		okB = new Button( "O.K." );
		add(okB);
		okB.addActionListener( this );
		addWindowListener( this );
		pack();
		show();
	}
	public void deactivate()
	{
		okB.removeActionListener( this );
		dispose();
	}
	/**
	 * Any action kills the window.
	 */
	public void actionPerformed( ActionEvent e )
	{
		deactivate();
	}
	// Window Events
	public void windowActivated( WindowEvent e ) {}
	public void windowClosed( WindowEvent e ) {}
	public void windowClosing( WindowEvent e ) { deactivate(); }
	public void windowDeactivated( WindowEvent e ) { deactivate(); }
	public void windowDeiconified( WindowEvent e ) {}
	public void windowOpened( WindowEvent e ) {}
	// No reason to minimize the window!
	public void windowIconified( WindowEvent e ) { deactivate(); }
}
