package net.sf.nebulacards.uicomponents;

import java.awt.*;
import net.sf.nebulacards.main.*;
import net.sf.nebulacards.uicomponents.*;

public class BasicDataBox extends Panel
	implements DataBox
{
    protected Label nameL, bidL, bagsL, scoreL, tricksL, turnL;
	protected int bid, bags, score, tricks;

    public BasicDataBox( Color fg, Color bg )
    {
        // we always want to be sitting at the bottom of the screen, so
        // we have to adjust the position of the players around OUR table.
        // Players keep the same table index, but NORTH may no longer be
        // at the top of the table.
        final int[][] positions = {
            { 2, 3, 0, 1 },
            { 3, 0, 1, 2 },
            { 0, 1, 2, 3 },
            { 1, 2, 3, 0 }
        };
        
        GridBagLayout grid = new GridBagLayout();
        GridBagConstraints gbc = new GridBagConstraints();

        // set up the window
		setBackground( bg );
        int a = Label.CENTER;
        nameL = new Label(  "<EMPTY>", a ); nameL.setForeground( fg );
        bidL = new Label(   "Bid: __", a ); bidL.setForeground( fg );
        tricksL = new Label( "Tricks: __", a ); tricksL.setForeground( fg );
        scoreL = new Label( "Score: ____", a ); scoreL.setForeground( fg );
        bagsL = new Label( "Bags: _", a ); bagsL.setForeground( fg );
		turnL = new Label( "____ ____", a ); turnL.setForeground( fg );
        setLayout( new GridLayout(4, 2) );
        add( nameL );
        add( new Panel() );
        add( bidL );
        add( tricksL );
        add( scoreL );
        add( bagsL );
		add( turnL );
    }

	public void setName( String s ) { nameL.setText( s ); }
	public String getName() { return nameL.getText(); }
	public void setBid( int b ) { bidL.setText( "Bid: " + b ); bid = b; }
	public int getBid() { return bid; }
	public void setTricks( int b )
	{
		tricksL.setText( "Tricks: " + b );
		tricks = b;
	}
	public int getTricks() { return tricks; }
	public void setBags( int b )
	{
		bagsL.setText( "Bags: " + b );
		bags = b;
	}
	public int getBags() { return bags; }
	public void setScore( int b )
	{
		scoreL.setText( "Score: " + b );
		score = b;
	}
	public int getScore() { return score; }
	public void setTurn( boolean b )
	{
		turnL.setText( b ? "YOUR TURN" : "" );
	}
	public void wonTrick( boolean b )
	{
		turnL.setText( b ? "Won Trick" : "" );
	}
}
