package net.sf.nebulacards.uicomponents;
import net.sf.nebulacards.main.*;

/**
 * Common interface for all card selection components.
 * @author James Ranson
 */
public interface CardSelector
{
	/**
	 * Set the cards that are available in this selector.
	 * @param p The new pile of cards.
	 */
	void setHand( PileOfCards p );

	/**
	 * Get the cards that are available in this selector.
	 * @return The cards.
	 */
	PileOfCards getHand();
	
	/**
	 * Remove a card from this selector.
	 * @param c The card to remove.
	 */
	void removeCard( PlayingCard c );

	/**
	 * Add an object to this object's notify list.  All objects in the
	 * notify list will have their <i>cardSelected</i> method called when
	 * a card is selected.
	 * @param o The listener.
	 */
	void addListener( CardListener o );

	/**
	 * Remove an object from this object's notify list.
	 * @param o The listener.
	 */
	void removeListener( CardListener o );
}
